import React from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';
import 'bootstrap/dist/js/bootstrap.min.js';
import Button from './Buttons';
import Modal from 'react-bootstrap/Modal';
import './Buttons.css';
import './ModalButton.css';

function ModalButton() {
    const [show, setShow] = React.useState(false);
    
    const handleClose = () => setShow(false);
    const handleShow = () => setShow(true);
    return (
    <>
        <Button className="btn1" name="view" onClick={handleShow} />

        <Modal show={show} onHide={handleClose}>
            <Modal.Header closeButton>
                <Modal.Title>Card Title</Modal.Title>
            </Modal.Header>
            <Modal.Body>
                <VideoPlayer />
                Some quick example text to build on the card title and make up the bulk of the card's content.
            </Modal.Body>
        </Modal>
    </>
    );
}

class VideoPlayer extends React.Component {
    render() {
        return (
            <div className="videoPlayer"></div>
        );
    }
}

export default ModalButton;
